| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
SeisTrcTranslator::ComponentData Class Reference
Seis

Information for one component. More...

`#include <seistrctr.h>`

Inheritance diagram for SeisTrcTranslator::ComponentData:
[legend]

## Public Member Functions
| ~ComponentData ()
Public Member Functions inherited from BasicComponentInfo
| BasicComponentInfo (const BasicComponentInfo &)
| BasicComponentInfo (const char *nm=nullptr)
| ~BasicComponentInfo ()
BasicComponentInfo & | operator= (const BasicComponentInfo &)
bool | operator== (const BasicComponentInfo &) const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
| ComponentData (const char *nm="Seismic Data")
| ComponentData (const ComponentData &cd)
| ComponentData (const SeisTrc &, int icomp=0, const char *nm="Seismic Data")
void | operator= (const ComponentData &)
| Protection against assignment.

## Friends
class | SeisTrcTranslator

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from BasicComponentInfo
DataCharacteristics & | datachar
DataCharacteristics | datachar_
int & | datatype
int | datatype_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Information for one component.

This is info on data and how it is stored, where the 'store' can be on disk (read) or in memory (write).

<>

## Constructor & Destructor Documentation

## ◆ ~ComponentData()

SeisTrcTranslator::ComponentData::~ComponentData | ( |  | ) |

## ◆ ComponentData() [1/3]

SeisTrcTranslator::ComponentData::ComponentData | ( | const char * | nm = "Seismic Data" | ) |
| protected

## ◆ ComponentData() [2/3]

SeisTrcTranslator::ComponentData::ComponentData | ( | const ComponentData & | cd | ) |
| protected

## ◆ ComponentData() [3/3]

SeisTrcTranslator::ComponentData::ComponentData | ( | const SeisTrc & | ,
|  | int | icomp = 0,
|  | const char * | nm = "Seismic Data" )
| protected

## Member Function Documentation

## ◆ operator=()

void SeisTrcTranslator::ComponentData::operator= | ( | const ComponentData & |  | ) |
| protected

Protection against assignment.

## Friends And Related Symbol Documentation

## ◆ SeisTrcTranslator

friend class SeisTrcTranslator
| friend

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025